package com.example.photowebcamshmeleff;

import android.content.Intent;
import android.content.SharedPreferences;
import android.content.pm.ActivityInfo;
import android.os.Bundle;
import android.text.Html;
import android.text.Spannable;
import android.text.SpannableString;
import android.text.SpannableStringBuilder;
import android.text.method.LinkMovementMethod;
import android.text.style.ImageSpan;
import android.util.Log;
import android.view.View;
import android.widget.TextView;

import androidx.appcompat.app.AppCompatActivity;

public class PrintActivity extends AppCompatActivity {
    public static final String LOG_TAG = "myLogs";
    private static final String TAG = "myLogs";

    private Object view;

    //==============================================================
    //
    // Здесь создадим TextView, в который по кнопке будем считывать и выводить данные телеметрии
    // из переменной, в которой их накапливаем
    //
    //==============================================================
    @Override
    protected void onCreate(Bundle savedInstanceState) {//Метод
        super.onCreate(savedInstanceState);  //Это вызов метода родительского класса, выполняющий необходимые процедуры
        setContentView(R.layout.print_activity);  //Метод устанавливает содержимое Activity из layout-файла.
        setRequestedOrientation(ActivityInfo.SCREEN_ORIENTATION_PORTRAIT); //Задать статично ориентацию экрана


        TextView TextGuide = (TextView)findViewById(R.id.TextView8e);
        TextGuide.setMovementMethod(LinkMovementMethod.getInstance()); // Чтобы работал Click
        SpannableStringBuilder spannableStringBuilder = new SpannableStringBuilder();
        spannableStringBuilder.append(Html.fromHtml("<b>Admin GUIDE</b>:<br><br> Setup PAGE<br><br> <b>Per seconds</b> 500+ - Time between photos in sec<br> <b>Start time HH</b> - Start time of the photo session. In hours<br> <b>End time HH</b> - End time of the photo session. In hours (Daylight hours)<br> <b>FTP server</b> - ftp address Sample build.shmelev.com<br> <b>Filename</b> - Template for the file name on the web server<br> <b>Images number</b> - Maximum number of photos in rotation<br> <b>Login</b> - user name<br> <b>Password</b> - ftp password<br> <br> ", Html.FROM_HTML_MODE_COMPACT));
        ImageSpan imageSpan3 = new ImageSpan(this, R.drawable.resource_public);
        SpannableString spannableString2 = new SpannableString(" ");
        spannableString2.setSpan(imageSpan3, spannableString2.length() - 1, spannableString2.length(), Spannable.SPAN_INCLUSIVE_EXCLUSIVE);
        spannableStringBuilder.append(spannableString2);
        spannableStringBuilder.append(Html.fromHtml(" <br><b>Folder</b> - FTP server folder containing the index.htm (or index.html or index.php) file<br><br> MAIN PAGE:<br><br> <b>Front cam</b> or <b>Rear cam</b> - select the camera for the session. Default - front cam<br> <b>LOCAL</b> - do not use FTP server. Save 40 photos in the smartphone's memory<br> <b>DARK</b> - turn on / off dark screen to save power or hidden session<br> <b>START/STOP</b> - start-stop photo session<br><br> The <b>ArrayPhotoControl.apk</b> (Ex. Rescue PHOTO APP) application allows you to make a surveillance system from an old or damaged smartphone with uploading photos to any FTP server and viewing pictures via any web browser from anywhere in the World.<br><br> The application only uses vertical screen orientation<br><br> APK Tested since Android 10(R) API-30<br><br> Version: <b>ArrayPhotoControl.apk</b> Block 2<br><br> Required Permissions: PERMISSIONS_STORAGE, CAMERA PERMISSION_GRANTED, INTERNET DATA TRANSFER<br><br> You can download a special web page index.htm or index.php for auto-viewing photos in a browser. Just replace the original index.htm file on your web hosting with a new one.<br><br> Use any (even free) web hosting with FTP uploading files for storing photos<br><br> Development of new versions of the application <b>ArrayPhotoControl.apk</b> is carried out using advertising revenues on the site http://oflameron.com Therefore, the <b>ArrayPhotoControl.apk</b> app is free for everyone.<br><br> Ready-made special web pages index.htm or index.php can be downloaded from http://oflameron.com/specpages.htm The standard page shows 10 photos and is automatically updated every hour. You can edit the HTML code for the required parameters. For this, there are comments inside the page. The PHP page shows additional information about the photographers.<br><br> OFLAMERON - Artificial word. (c) by Java Developer Valery Shmelev. (GERMANY)<br><a href='https://www.linkedin.com/in/valery-shmelev-479206227/'>on <b>LinkedIN.com</b></a><br><br> Free web hostings with FTP  as example https://neocities.org or https://www.000webhost.com or https://byet.host or http://1apps.net or https://www.bplaced.net or https://freehostingnoads.net/ or https://www.freewebhostingarea.com or https://host-ed.net<br><br> Free hosting terms are subject to change. Therefore, the list will be updated.<br><br> <b>PhotoWebCam.apk</b> support blog https://rescuewebcam.blogspot.com/<br><br> PING must be enable. Used for Internet testing. If PING is not available, the pictures will not be uploaded to the server.<br><br> When selecting |START/STOP | Some buttons become unavailable. Pressing the button again does not restore the button mode. It is assumed that all settings are made correctly. If you still need to change the settings, go to |GUIDE | and return to the main screen.<br><br> Other applications:<br><br> <b>AudioREG.apk</b> - network audio registrar. Saves audio recordings on hosting. 100% your witness<br><br> <b>CzechEntropyPRNG.apk</b> - quality BigINT random number generator 1024 bit size<br><br>", Html.FROM_HTML_MODE_COMPACT));

        ImageSpan imageSpan1 = new ImageSpan(this, R.drawable.czechentropyprng1024);
        //spannableString2 = new SpannableString(" ");
        spannableString2.setSpan(imageSpan1, spannableString2.length() - 1, spannableString2.length(), Spannable.SPAN_INCLUSIVE_EXCLUSIVE);

        spannableStringBuilder.append(spannableString2);
        spannableStringBuilder.append(Html.fromHtml("<br><br> <b>BigIntPrimeNumber.apk</b> - search 3 mod 4 BigINT quality prime numbers 1024 bit size<br><br>", Html.FROM_HTML_MODE_COMPACT));

        ImageSpan imageSpan2 = new ImageSpan(this, R.drawable.bigint);
        spannableString2.setSpan(imageSpan2, spannableString2.length() - 1, spannableString2.length(), Spannable.SPAN_INCLUSIVE_EXCLUSIVE);
        spannableStringBuilder.append(spannableString2);

        spannableStringBuilder.append(Html.fromHtml("<br><br> <br><br>", Html.FROM_HTML_MODE_COMPACT));
        spannableStringBuilder.append(spannableString2);
        TextGuide.append(spannableStringBuilder);
        //----- Valery Shmelev -----------------------------------------------------

    } //Метод

    //==========================================================
    //   Показать FTP Activity
    //==========================================================
    public void onButtonFTPSetup(View view) { Intent intent = new Intent(PrintActivity.this, FTPActivity.class);
        Log.i(TAG, "==| onButtonFTPSetup |==");
        startActivity(intent);
    } // http://oflameron.com




} //Class