package com.example.photowebcamshmeleff;

import androidx.appcompat.app.AppCompatActivity;

import android.annotation.SuppressLint;
import android.annotation.TargetApi;
import android.app.Activity;
import android.content.SharedPreferences;
import android.content.SharedPreferences.Editor;


import androidx.annotation.RequiresApi;
import androidx.appcompat.app.AppCompatActivity;
import androidx.core.app.ActivityCompat;
import org.apache.commons.net.ftp.FTP;
import org.apache.commons.net.ftp.FTPClient;
import org.apache.commons.net.ftp.FTPReply;

import android.content.Context;
import android.content.SharedPreferences;
import android.content.pm.ActivityInfo;
import android.os.Build;
import android.os.Bundle;
import android.Manifest;
import android.content.Intent;
import android.content.pm.PackageManager;
import android.graphics.Bitmap;
import android.net.Uri;
import android.os.Environment;
import android.os.PowerManager;
import android.os.StrictMode;
import android.provider.MediaStore;
import android.provider.Settings;
import android.util.Log;
import android.view.View;
import android.view.View.OnClickListener;
import android.widget.Button;
import android.widget.Button;
import android.widget.EditText;
import android.widget.ImageView;
import android.widget.Toast;
import android.widget.VideoView;

//=======================================================
// Activity для работы с настройками FTP подключения
//=======================================================
public class FTPActivity extends AppCompatActivity {
    private static final String TAG = "myLogs";
    private Button buttonImage;
    private Button buttonVideo;

    private VideoView videoView;
    private ImageView imageView;

    private static final int REQUEST_ID_READ_WRITE_PERMISSION = 99;
    private static final int REQUEST_ID_IMAGE_CAPTURE = 100;
    private static final int REQUEST_ID_VIDEO_CAPTURE = 101;
    private int CAMERA_CAPTURE;

    private static String imagepath; //Путь к сохраненной картинке
    private static String host = ""; // analytic.vov.ru
    private static String username = ""; //u366027
    private static String password = ""; //u54gquzm
    private static String desDirectory = ""; // Каталог на FTP сервере для файла - public_html
    private static int port = 21;
    private static String ftime = "500"; // Повтор съемки через столько секунд
    private static String stime = "7"; // Время суток начала сзмки в часах
    private static String etime = "20"; // Время суток окончания сзмки в часах

    private static String srcFilePath = "photosett.jpg";
    public static String desFileName = "eoflameron"; // ПЕРВАЯ часть имени картинки


    private static final Context context = null;
    private com.example.photowebcamshmeleff.FTPActivity  ftpclient = null;

    SharedPreferences sPref; // Для работы с Preferences - сохранения настроек
    private static String FTP_TEXT ="ftpserver_string";
    private static String LOGIN_TEXT ="ftplogin_string";
    private static String PASSWORD_TEXT ="ftppassword_string";
    private static String FOLDER_TEXT ="ftpfolder_string";
    private static String FTIME_TEXT ="500"; // Период между съемками
    private static String STIME_TEXT ="7"; // Время начало сессии
    private static String ETIME_TEXT ="20"; // Время окончания сессии
    private static String FNAME_TEXT ="eoflameron"; // Имя для фотографий
    private static String INUMBER_TEXT ="10"; // Количество фотографий в сессии
    public static String inumber = "10"; //Количество фотографий в сессии

    @Override
    protected void onCreate(Bundle savedInstanceState) {//Метод
        super.onCreate(savedInstanceState);  //Это вызов метода родительского класса, выполняющий необходимые процедуры
        setContentView(R.layout.activity_f_t_p);  //Метод устанавливает содержимое Activity из layout-файла.
        setRequestedOrientation(ActivityInfo.SCREEN_ORIENTATION_PORTRAIT); //Задать статично ориентацию экрана
        //В качестве аргумента мы указываем константу, которая является ID файла.
        //Эта константа генерируется автоматически в файле R.java
        //В этом классе будут храниться сгенерированные ID для всех ресурсов проекта (из папки res/*),
        //чтобы мы могли к ним обращаться. Имена этих ID-констант совпадают с именами файлов ресурсов (без расширений).
        //==========================================
        //    Читать Ресурс - прочитать введенные данные ИЗ ПОЛЕЙ ВВОДА
        //    Прочитать FTP сервер, логин, пароль и имя каталога в переменные
        //    Период повторной съемки в секундах - ftime, время начала - stime и время окончания - etime в часах
        //==========================================
        sPref = getSharedPreferences("MyPref",MODE_PRIVATE); //с помощью метода getPreferences получаем объект sPref класса SharedPreferences
        //=============== ЧИТАЕМ ===================
        if (sPref.getString(FTP_TEXT, "FTP Server").toString() == "") { //Если еще ничего не вводили, то показать из activity_f_t_p.xml
        } else {
            host = sPref.getString(FTP_TEXT, "").toString(); //Здесь - FTP_TEXT - название переменной
            EditText FTPeditText = (EditText) findViewById(R.id.editText1); //Текстовое поле для FTP сервера
            FTPeditText.setText(host);
        }
        if (sPref.getString(LOGIN_TEXT, "").toString() == "") { //Если еще ничего не вводили, то показать из activity_f_t_p.xml
        } else {
            username = sPref.getString(LOGIN_TEXT, "").toString(); //Здесь - LOGIN_TEXT - название переменной
            EditText LOGINeditText = (EditText)findViewById(R.id.editText2); //Текстовое поле для Login
            LOGINeditText.setText(username);
        }
        if (sPref.getString(PASSWORD_TEXT, "").toString() == "") { //Если еще ничего не вводили, то показать из activity_f_t_p.xml
        } else {
            password = sPref.getString(PASSWORD_TEXT, "").toString(); //Здесь - PASSWORD_TEXT - название переменной
            EditText PASSWORDeditText = (EditText) findViewById(R.id.editText3); //Текстовое поле для Password
            PASSWORDeditText.setText(password);
        }
        if (sPref.getString(FOLDER_TEXT, "").toString() == "") { //Если еще ничего не вводили, то показать из activity_f_t_p.xml
        } else {
            desDirectory = sPref.getString(FOLDER_TEXT, "").toString(); //Здесь - FOLDER_TEXT - название переменной
            EditText DESDIReditText = (EditText) findViewById(R.id.editText4); //Текстовое поле для FTP сервера
            DESDIReditText.setText(desDirectory);
        }
        if (sPref.getString(FTIME_TEXT, "").toString() == "") { //Если еще ничего не вводили, то показать из activity_f_t_p.xml
        } else {
            ftime = sPref.getString(FTIME_TEXT, "").toString(); //Здесь - FTIME_TEXT - название переменной
            EditText FTIMEeditText = (EditText) findViewById(R.id.editText7); //Текстовое поле - через сколько повторять снимок
            FTIMEeditText.setText(ftime);
        }
        if (sPref.getString(STIME_TEXT, "").toString() == "") { //Если еще ничего не вводили, то показать из activity_f_t_p.xml
        } else {
            stime = sPref.getString(STIME_TEXT, "").toString(); //Здесь - STIME_TEXT - название переменной
            EditText STIMEeditText = (EditText) findViewById(R.id.editText8); //Текстовое поле - время старта наблюдения
            STIMEeditText.setText(stime);
        }
        if (sPref.getString(ETIME_TEXT, "").toString() == "") { //Если еще ничего не вводили, то показать из activity_f_t_p.xml
        } else {
            etime = sPref.getString(ETIME_TEXT, "").toString(); //Здесь - ETIME_TEXT - название переменной
            EditText ETIMEeditText = (EditText) findViewById(R.id.editText10); //Текстовое поле - время окончания наблюдения
            ETIMEeditText.setText(etime);
        }
        if (sPref.getString(FNAME_TEXT, "").toString() == "") { //Если еще ничего не вводили, то показать из activity_f_t_p.xml
        } else {
            desFileName = sPref.getString(FNAME_TEXT, "").toString(); //Здесь - FNAME_TEXT - название переменной
            EditText FNAMEeditText = (EditText) findViewById(R.id.editText14); //Текстовое поле - имя для файла фотографий
            FNAMEeditText.setText(desFileName);
        }
        if (sPref.getString(INUMBER_TEXT, "").toString() == "") { //Если еще ничего не вводили, то показать из activity_f_t_p.xml
        } else {
            inumber = sPref.getString(INUMBER_TEXT, "").toString(); //Здесь - FNAME_TEXT - название переменной
            EditText INUMBEReditText = (EditText) findViewById(R.id.editText15); //Текстовое поле - количество фотографий
            INUMBEReditText.setText(inumber);
        } // http://oflameron.com
    }

    //==========================================================
    //   Записать FTP настройки в ресурсs
    //==========================================================
    public void onButton1Click(View view) {
        sPref = getSharedPreferences("MyPref", MODE_PRIVATE); //с помощью метода getPreferences получаем объект sPref класса SharedPreferences
        //Константа MODE_PRIVATE используется для настройки доступа и означает, что после
        //сохранения, данные будут видны только этому приложению
        EditText FTPeditText = (EditText)findViewById(R.id.editText1); //Текстовое поле для ввода FTP сервера
        host = FTPeditText.getText().toString();
        EditText LOGINeditText = (EditText)findViewById(R.id.editText2); //Текстовое поле для ввода FTP сервера
        username = LOGINeditText.getText().toString();
        Log.d(TAG, "==| FTP Username in Resources |==: " + username); // Логин FTP сервера
        EditText PASSWORDeditText = (EditText)findViewById(R.id.editText3); //Текстовое поле для ввода FTP сервера
        password = PASSWORDeditText.getText().toString();
        Log.d(TAG, "==| FTP Username in Resources |==: " + password); // Пароль FTP сервера
        EditText DESDIReditText = (EditText)findViewById(R.id.editText4); //Текстовое поле для ввода FTP сервера
        desDirectory = DESDIReditText.getText().toString();
        Log.d(TAG, "==| FTP Folder in Resources |==: " + desDirectory); // Папка FTP сервера
        EditText FTIMEeditText = (EditText)findViewById(R.id.editText7); //Текстовое поле для ввода перилда повтора
        ftime = FTIMEeditText.getText().toString();
        Log.d(TAG, "==| Ftime in Resources |==: " + ftime); // Время, через которое повторять снимок
        EditText STIMEeditText = (EditText)findViewById(R.id.editText8); //Текстовое поле для ввода времени начала сессии
        stime = STIMEeditText.getText().toString();
        Log.d(TAG, "==| Stime in Resources |==: " + stime); // Время старта сессии
        EditText ETIMEeditText = (EditText)findViewById(R.id.editText10); //Текстовое поле для ввода времени окончания сессии
        etime = ETIMEeditText.getText().toString();
        Log.d(TAG, "==| Etime in Resources |==: " + etime); // Время окончания сессии
        EditText FNAMEeditText = (EditText)findViewById(R.id.editText14); //Текстовое поле для ввода имени файла фотографии
        desFileName = FNAMEeditText.getText().toString();
        Log.d(TAG, "==| Image Fname in Resources |==: " + desFileName); // Имя файла фотограии без номера и расширения
        EditText INUMBEReditText = (EditText)findViewById(R.id.editText15); //Текстовое поле для ввода имени файла фотографии
        inumber = INUMBEReditText.getText().toString();
        Log.d(TAG, "==| Image Number in Resources |==: " + inumber); // Количество фотографий в сессию

        //==========================================
        //    Запись в Ресурс
        //==========================================
        //Создаем объект Editor для создания пар имя-значение:
        Editor ed = sPref.edit(); //чтобы редактировать данные, необходим объект Editor – получаем его из sPref
        ed.putString(FTP_TEXT, host); //В метод putString указываем наименование переменной – это константа FTP_TEXT, и значение
        Log.d(TAG, "==|| HOST ||==: " + host); // Адрес FTP сервера
        ed.putString(LOGIN_TEXT, username); //В метод putString указываем наименование переменной – это константа LOGIN_TEXT, и значение
        ed.putString(PASSWORD_TEXT, password); //В метод putString указываем наименование переменной – это константа PASSWORD_TEXT, и значение
        ed.putString(FOLDER_TEXT, desDirectory); //В метод putString указываем наименование переменной – это константа FOLDER_TEXT, и значение
        ed.putString(FTIME_TEXT, ftime); //В метод putString указываем наименование переменной – это константа FTIME_TEXT, и значение
        ed.putString(STIME_TEXT, stime); //В метод putString указываем наименование переменной – это константа STIME_TEXT, и значение
        ed.putString(ETIME_TEXT, etime); //В метод putString указываем наименование переменной – это константа ETIME_TEXT, и значение
        ed.putString(FNAME_TEXT, desFileName); //В метод putString указываем наименование переменной – это константа FNAME_TEXT, и значение
        ed.putString(INUMBER_TEXT, inumber); //В метод putString указываем наименование переменной – это константа INUMBER_TEXT, и значение
        ed.commit(); // Сохранение данных в ресурсах
        Log.d(TAG, "==| DAT Resources Parth |==: " + Environment.getDataDirectory()); // Каталог на устройстве, в который пишутся данные


        //==========================================
        //    Читать Ресурс
        //==========================================
        sPref = getSharedPreferences("MyPref",MODE_PRIVATE);
        String savedText = sPref.getString(FTP_TEXT, "");
        Log.d(TAG, "== FTP Server in Resources ==: " + savedText); // Пишем сохраненный текст из Ресурсов
        savedText = sPref.getString(LOGIN_TEXT, "");
        Log.d(TAG, "== LOGIN in Resources ==: " + savedText); // Пишем сохраненный текст из Ресурсов
        savedText = sPref.getString(PASSWORD_TEXT, "");
        Log.d(TAG, "== PASSWORD in Resources ==: " + savedText); // Пишем сохраненный текст из Ресурсов
        savedText = sPref.getString(FOLDER_TEXT, "");
        Log.d(TAG, "== FOLDER in Resources ==: " + savedText); // Пишем сохраненный текст из Ресурсов
        savedText = sPref.getString(FTIME_TEXT, "");
        Log.d(TAG, "== FTIME in Resources ==: " + savedText); // Пишем сохраненный текст из Ресурсов
        savedText = sPref.getString(STIME_TEXT, "");
        Log.d(TAG, "== STIME in Resources ==: " + savedText); // Пишем сохраненный текст из Ресурсов
        savedText = sPref.getString(ETIME_TEXT, "");
        Log.d(TAG, "== ETIME in Resources ==: " + savedText); // Пишем сохраненный текст из Ресурсов
        savedText = sPref.getString(FNAME_TEXT, "");
        Log.d(TAG, "== FNAME in Resources ==: " + savedText); // Пишем сохраненный текст из Ресурсов
        savedText = sPref.getString(INUMBER_TEXT, "");
        Log.d(TAG, "== IMAGE NUMBER in Resources ==: " + savedText); // Пишем сохраненный текст из Ресурсов

    }

    //==========================================================
    //   Показать MAIN Activity
    //==========================================================
    public void onButton3Click(View view) {
        Intent intent = new Intent(FTPActivity.this, MainActivity.class);
        startActivity(intent);
    }


    //==========================================================
    //   Показать Print Activity - GUIDE
    //==========================================================
    public void onButtonGuide(View view) {
        Intent intent = new Intent(FTPActivity.this, PrintActivity.class);
        Log.i(TAG, "==| onButtonGuide |==");
        startActivity(intent);

    }

    //==========================================================
    //   Выйти из приложения
    //==========================================================
    public void onButton4Click(View arg0) {
        moveTaskToBack(true);
        android.os.Process.killProcess(android.os.Process.myPid());
        System.exit(1);

    }


}